Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.contentassist
Class SubjectControlContextInformationValidator

    java.lang.Object
      org.eclipse.jface.contentassist.SubjectControlContextInformationValidator

All Implemented Interfaces:
  IContextInformationValidator, ISubjectControlContextInformationValidator

public final class SubjectControlContextInformationValidator
extends Object
implements ISubjectControlContextInformationValidator

A default implementation of the `SubjectControlContextInformationValidator` interface. This implementation determines whether the information is valid by asking the content assist processor for all context information objects for the current position. If the currently displayed information is in the result set, the context information is considered valid.

Since:
  3.0

Constructor Summary
`SubjectControlContextInformationValidator(IContentAssistProcessor processor)` Creates a new context information validator which is ready to be installed on a particular context information.

Method Summary
`void` | `install(IContextInformation contextInformation, IContentAssistSubjectControl contentAssistSubjectControl, int offset)` Installs this validator for the given context information.
`void` | `install(IContextInformation contextInformation, ITextViewer viewer, int offset)` Installs this validator for the given context information.
`boolean` | `isContextInformationValid(int offset)` Returns whether the information this validator is installed on is still valid at the given document position.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectControlContextInformationValidator

    public SubjectControlContextInformationValidator(IContentAssistProcessor processor)

  Creates a new context information validator which is ready to be installed on a particular context information.

Parameters:
  `processor` - the processor to be used for validation

Method Detail

### install

    public void install(IContextInformation contextInformation,
                        ITextViewer viewer,
                        int offset)

  Description copied from interface: `IContextInformationValidator`
  Installs this validator for the given context information.

  Specified by:
    `install` in interface `IContextInformationValidator`
  Parameters:
    `contextInformation` - the context information which this validator should check
    `viewer` - the text viewer on which the information is presented
    `offset` - the document offset for which the information has been computed

### install

    public void install(IContextInformation contextInformation,
                        IContentAssistSubjectControl contentAssistSubjectControl,
                        int offset)

  Description copied from interface: `ISubjectControlContextInformationValidator`
  Installs this validator for the given context information.

  Specified by:
    `install` in interface `ISubjectControlContextInformationValidator`
  Parameters:
    `contextInformation` - the context information which this validator should check
    `contentAssistSubjectControl` - the content assist subject control
    `offset` - the document offset for which the information has been computed

### isContextInformationValid

    public boolean isContextInformationValid(int offset)

  Description copied from interface: `IContextInformationValidator`
  Returns whether the information this validator is installed on is still valid at the given document position.

  Specified by:
    `isContextInformationValid` in interface `IContextInformationValidator`
  Parameters:
    `offset` - the current offset within the document
  Returns:
    `true` if the information also valid at the given document position

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.